=== debian/control ===
Source: ros-noetic-robot-state-controller
Section: misc
Priority: optional
Maintainer: Qiayuan Liao <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-controller-interface, ros-noetic-kdl-parser, ros-noetic-realtime-tools, ros-noetic-rm-common, ros-noetic-roscpp, ros-noetic-tf2-kdl
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-robot-state-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-controller-interface, ros-noetic-kdl-parser, ros-noetic-realtime-tools, ros-noetic-rm-common, ros-noetic-roscpp, ros-noetic-tf2-kdl
Description: A template for ROS packages.
