## ros-noetic-robot-state-controller 0.1.10

=== debian/changelog ===
ros-noetic-robot-state-controller (0.1.10-1focal) focal; urgency=high

  * Merge pull request #106 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/106> from ye-luo-xi-tui/master
    0.1.9
  * Contributors: ye-luo-xi-tui

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 25 Mar 2023 00:00:00 -0000

ros-noetic-robot-state-controller (0.1.9-1focal) focal; urgency=high

  * Merge branch 'master' into balance_standard
  * Merge pull request #97 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/97> from ye-luo-xi-tui/master
    0.1.8
  * Contributors: ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 21 Feb 2023 00:00:00 -0000

ros-noetic-robot-state-controller (0.1.8-1focal) focal; urgency=high

  * Merge pull request #86 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/86> from NaHCO3bc/Readme
    Fix the dependence part bug.
  * Fix the dependence part bug.
  * Merge pull request #85 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/85> from ye-luo-xi-tui/master
    0.1.7
  * Contributors: NaHCO3bc, ye-luo-xi-tui

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 24 Nov 2022 00:00:00 -0000

ros-noetic-robot-state-controller (0.1.7-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 10 Sep 2022 00:00:00 -0000

ros-noetic-robot-state-controller (0.1.6-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-robot-state-controller (0.1.5-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * 0.1.4
  * Merge branch 'master' into gimbal_track
  * Merge pull request #46 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/46> from ye-luo-xi-tui/master
    Deprecated imu_filter_controller
  * Contributors: QiayuanLiao, YuuinIH, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 10 Jun 2022 00:00:00 -0000

ros-noetic-robot-state-controller (0.1.3-1focal) focal; urgency=high

  * Merge branch 'master' into forward_feed
  * Merge branch 'master' into standard3
  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan, ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-noetic-robot-state-controller (0.1.2-1focal) focal; urgency=high

  * Merge branch 'master' of https://github.com/YuuinIH/rm_controllers
  * Merge branch 'master' into chassis/balance_imu_interface
  * Clear tf buffer when simulation reset
  * Merge branch 'gimbal/opti_or_simplify' into chassis/balance_imu_interface
  * Add the config of robot_state_controller, load only one controller on launch instead of spawn controllers
  * Merge branch 'master' into chassis/fix_filter
  * Merge remote-tracking branch 'origin/master'
  * Fix tf_transform cleared before publish
  * Check the timestamp when receiving the tf transforms outside the rm_hw/rm_gazebo
  * Real time safe for robot_state_controller
  * Merge branch 'namespace'
    # Conflicts:
    #     rm_chassis_controllers/README.md
  * Merge pull request #15 <https://github.com/rm-controls/rm_controllers/issues/15> from ye-luo-xi-tui/namespace
    Change name of namespace:from hardware_interface to rm_control
  * Change name of namespace:from hardware_interface to rm_control.
  * Remove README.md
  * Use “pragma once” in robot_state_controller headers instead of include guards.
  * Fix "robot_state_controller: CMakeLists.txt: error: unconfigured build_depend on 'pluginlib'"
  * Format robot_state_controller using clang-format
  * Contributors: BruceLannn, MuZhou233, QiayuanLiao, YuuinIH, chenzheng, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 08 Jan 2022 00:00:00 -0000

ros-noetic-robot-state-controller (0.1.1-1focal) focal; urgency=high

  * Set all version to the same
  * Add license to robot_state_controller source files
  * Merge remote-tracking branch 'alias_memory/metapackage'
  * Move all files to robot_state_controller/robot_state_controller, prepare for merge
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 12 Aug 2021 00:00:00 -0000
